package pay_recharge

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/pay_recharge"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /pay_recharge/delete pay_recharge DeletePayRecharge
//
// Delete pay recharge information | 删除PayRecharge信息
//
// Delete pay recharge information | 删除PayRecharge信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeletePayRechargeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := pay_recharge.NewDeletePayRechargeLogic(r.Context(), svcCtx)
		resp, err := l.DeletePayRecharge(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
